Bug 1496761 - "Noto Color Emoji" would be a better default emoji font than "Emoji One"
Summary: "Noto Color Emoji" would be a better default emoji font than "Emoji One"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontconfig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-28 10:11 UTC by Mike FABIAN
Modified: 2018-02-14 03:49 UTC (History)
23 users (show)

Fixed In Version: fontconfig-2.12.6-3.fc27 fontconfig-2.12.6-3.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-06 15:56:55 UTC
Type: Bug


Attachments (Terms of Use)
emoji-f27-emoji-one-noto-color-emoji-comparison.png (411.80 KB, image/png)
2017-09-28 10:11 UTC, Mike FABIAN
no flags Details
emoji-variants-ibus-emoji-emoji-one-font.png (191.23 KB, image/png)
2017-09-28 10:21 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-09-28 10:11:43 UTC
Created attachment 1331892 [details]
emoji-f27-emoji-one-noto-color-emoji-comparison.png

See also: https://bugzilla.redhat.com/show_bug.cgi?id=1492022

Currently, “Noto Color Emoji” works much better than “Emoji One”.

“Emoji One” supports emoji only up to Unicode 9.0.0 whereas
“Noto Color Emoji” supports the new emoji in Unicode 10.0.0.

On top of that, “Emoji One” doesn’t display many sequences
correctly which were already in Unicode 9.0.0, for example:


http://www.unicode.org/Public/emoji/4.0/emoji-zwj-sequences.txt

already contained:

1F3CC 1F3FB 200D 2640 FE0F                  ; Emoji_ZWJ_Sequence  ; woman golfing: light skin tone                                 # 8.0  [1] (🏌🏻‍♀️)

The  4.0 version of this emoji-zwj-sequences.txt file
was released around the time Unicode 9.0.0 was released.

With “Noto Color Emoji”, all sequences from 

http://www.unicode.org/Public/emoji/5.0/emoji-zwj-sequences.txt

are displayed correctly.

See the attached screenshot.

Comment 1 Mike FABIAN 2017-09-28 10:21:56 UTC
Created attachment 1331913 [details]
emoji-variants-ibus-emoji-emoji-one-font.png

This is how the broken sequences look like in "ibus emoji" when
using the "Emoji One" font.

Comment 2 Bastien Nocera 2017-10-05 10:28:28 UTC
I sent an upstream patch to the list about this:
https://lists.freedesktop.org/archives/fontconfig/2017-October/thread.html

Comment 3 Fedora Update System 2017-10-05 12:10:37 UTC
fontconfig-2.12.6-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-854458d877

Comment 4 Fedora Update System 2017-10-05 12:10:50 UTC
fontconfig-2.12.6-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff8aeb8db8

Comment 5 Fedora Update System 2017-10-06 03:26:52 UTC
fontconfig-2.12.6-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff8aeb8db8

Comment 6 Fedora Update System 2017-10-06 04:29:35 UTC
fontconfig-2.12.6-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-854458d877

Comment 7 Fedora Update System 2017-10-09 20:00:01 UTC
fontconfig-2.12.6-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-10-25 23:08:19 UTC
fontconfig-2.12.6-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Jeremy Bicha 2017-11-05 18:35:29 UTC
(In reply to Bastien Nocera from comment #2)
> I sent an upstream patch to the list about this:
> https://lists.freedesktop.org/archives/fontconfig/2017-October/thread.html

Really? Where?

I hope you don't mind me reopening this for discussion for Fedora 28, especially since as far as I can tell Fedora 27 doesn't include a color emoji font by default.

As I'm sure you're aware, newer version of the emojione font are not redistributable. I looked at emojitwo today and it looks like it requires several grunt/node packages in order to build from source, but the emojitwo build documentation is non-existent so I may be wrong.

So it's awkward for distros to package a dead font (emojione) and it's difficult for them to package emojitwo.

Comment 10 Jeremy Bicha 2017-11-05 18:49:06 UTC
Fedora 27 currently includes the Noto black & white emoji. My understanding is that these have been obsolete for 4 years!

https://emojipedia.org/google/android-4.3/

See also https://pagure.io/fedora-workstation/issue/30

Comment 11 Jeremy Bicha 2017-11-06 03:29:18 UTC
I looked into this a bit more. My understanding is that EmojiTwo only provides the art; it does not actually provide a font. eosrei is willing to make an EmojiTwo SVGinOT font but that may not be ready for a while.

What's worse is my understanding is that SVGinOT is useful for Firefox or Thunderbird, but isn't supported by this year's cairo/fontconfig work.

https://github.com/eosrei/emojione-color-font/issues/87
https://github.com/eosrei/scfbuild

Comment 12 Mike FABIAN 2017-11-06 07:09:07 UTC
(In reply to Jeremy Bicha from comment #10)
> Fedora 27 currently includes the Noto black & white emoji. My understanding
> is that these have been obsolete for 4 years!
> 
> https://emojipedia.org/google/android-4.3/
> 
> See also https://pagure.io/fedora-workstation/issue/30

By the way, if you are looking for a black and white emoji font,
"Symbola" (from the gdouros-symbola-fonts-10.03-1.fc27.noarch package)
is quite good, it is up-to-date with Unicode 10.0.0
(i.e. it has all the Emoji from Unicode 10.0.0 altough
it doesn’t render the sequences correctly).

Comment 14 Peter Oliver 2017-11-06 11:39:07 UTC
(In reply to Jeremy Bicha from comment #11)
> I looked into this a bit more. My understanding is that EmojiTwo only
> provides the art; it does not actually provide a font.

Notice, though, that Noto Colour Emoji is built from SVGs, so, in principle, the tooling to do this almost already exists.  See https://github.com/googlei18n/noto-emoji/issues/9

Comment 15 Bastien Nocera 2017-11-06 15:56:55 UTC
(In reply to Jeremy Bicha from comment #9)
> (In reply to Bastien Nocera from comment #2)
> > I sent an upstream patch to the list about this:
> > https://lists.freedesktop.org/archives/fontconfig/2017-October/thread.html
> 
> Really? Where?

https://cgit.freedesktop.org/fontconfig/commit/?id=c41c9220181b203d1cf1f6435f6e3735cb7c84ac

> I hope you don't mind me reopening this for discussion for Fedora 28,
> especially since as far as I can tell Fedora 27 doesn't include a color
> emoji font by default.

That's a bug in gnome-themes-standard, not the bug we're discussing here about fontconfig.

> As I'm sure you're aware, newer version of the emojione font are not
> redistributable.

We already know, it's written as such in the package spec file:
http://pkgs.fedoraproject.org/cgit/rpms/eosrei-emojione-fonts.git/tree/eosrei-emojione-fonts.spec#n8

> I looked at emojitwo today and it looks like it requires
> several grunt/node packages in order to build from source, but the emojitwo
> build documentation is non-existent so I may be wrong.
> 
> So it's awkward for distros to package a dead font (emojione) and it's
> difficult for them to package emojitwo.

We know all this, but decided that it was the best solution for this purpose already. There should be discussions about this on the Fedora Workstation list, as well as in the GNOME bugzilla and/or wiki. If in doubt about any of those, I'd be happy repeating those arguments on the fontconfig list, if you send an email there and CC: me.

Resetting the status of the bug, as the problem in question was already fixed in an errata.

Comment 16 Jeremy Bicha 2017-11-06 16:58:21 UTC
(In reply to Bastien Nocera from comment #15)
> We know all this, but decided that it was the best solution for this purpose
> already. There should be discussions about this on the Fedora Workstation
> list, as well as in the GNOME bugzilla and/or wiki. If in doubt about any of
> those, I'd be happy repeating those arguments on the fontconfig list, if you
> send an email there and CC: me.

1. I don't think you've had these conversations as broadly as you remember.

  a. https://wiki.gnome.org/Design/OS/Emoji says nothing about preferring a particular emoji font.

  b.  You shut this thread down immediately:
https://lists.fedoraproject.org/archives/list/desktop@lists.fedoraproject.org/thread/3IS6VEB53SJSQCY5W223LR2K7ZJ4AH3T/#3IS6VEB53SJSQCY5W223LR2K7ZJ4AH3T

  c. I haven't been able to find any fontconfig list discussion of this issue.

  d. This bug has been closed without hardly any discussion, and they were closed by a fix that appears to me to be side-stepping the actual bug report and title.

  e. There was an October 23 Fedora Workstation meeting. Based on my reading of the logs, I think it's fair to say that if it wasn't for your opinion, the team would have decided the other direction (Noto instead of EmojiOne).

2. As far as Fedora 27 goes, it looks like the Emoji One decision is final. Ok. I understand freezes and Fedora is welcome to make its own decisions.

3. Here are my objections:

  a. You have said repeatedly (in the fontconfig commit and the October 23  meeting) that Emoji One/Two is GNOME's preferred emoji font.

  b. EmojiTwo in its current form is unpackagable. Comment #14 here gives hope, but currently that is vaporware.

Therefore, I expect many GNOME distros to be choosing Noto Color Emoji and so I object to the characterization that this is GNOME's decision because I believe you didn't actually talk to other GNOME distros about this.

To summarize your position since you didn't mention it here: You don't want to use the same emoji as Android because you see the emoji choice as a brand recognition opportunity. I'm not sure our users will see it the same way.

Comment 17 Bastien Nocera 2017-11-06 17:26:14 UTC
(In reply to Jeremy Bicha from comment #16)
> (In reply to Bastien Nocera from comment #15)
> > We know all this, but decided that it was the best solution for this purpose
> > already. There should be discussions about this on the Fedora Workstation
> > list, as well as in the GNOME bugzilla and/or wiki. If in doubt about any of
> > those, I'd be happy repeating those arguments on the fontconfig list, if you
> > send an email there and CC: me.
> 
> 1. I don't think you've had these conversations as broadly as you remember.
<snip>
> To summarize your position since you didn't mention it here: You don't want
> to use the same emoji as Android because you see the emoji choice as a brand
> recognition opportunity. I'm not sure our users will see it the same way.

Again, not the place to discuss this. I discussed this with Allan and Jakub, who agreed with this choice, Behdad and Akira, who both agreed to give EmojiTwo time to be built for our purposes, which we hope would happen within the next year.

Most of those discussions happened nearly a year ago, with much shorter discussions around GUADEC this year to re-affirm that EmojiOne would be chosen.

Some of the discussions which I thought happened on the public fontconfig list actually happened in private. I'm not sure why the fontconfig maintainer CC:ed folks instead of making the discussion happen on the list.

In any case, that ship has sailed. If you want to ship something else in Ubuntu, or Debian, it's easy enough to do. If you want to have a discussion about the default choice, again, here is not the place.


Note You need to log in before you can comment on or make changes to this bug.